#!/bin/sh
#
# Copyright (c) Matteo Riondato
#
# See COPYING for licence terms.
#

set -e -u

if [ -z "${LOGFILE:-}" ]; then
	echo "This script can't run standalone."
	echo "Please use launch.sh to execute it."
	exit 1
fi

mkdir -p $BASEDIR/mnt $BASEDIR/usr/local/etc/rc.d/ $BASEDIR/usr/local/sbin/

cp extra/mountdisks/mountdisks.sh $BASEDIR/usr/local/sbin
chmod 555 $BASEDIR/usr/local/sbin/mountdisks.sh

cp extra/mountdisks/mountdisksrc.sh $BASEDIR/usr/local/etc/rc.d/
chmod 555 $BASEDIR/usr/local/etc/rc.d/mountdisksrc.sh

for fs in dos ext2fs ntfs;  do
	for i in 1 2 3 4; do
		mkdir -p $BASEDIR/mnt/$fs.$i
		mkdir -p $BASEDIR/mnt/$fs.ext.$i
	done
done

for i in 1 2 3 4 5 6 7 8; do
	mkdir -p $BASEDIR/mnt/ufs.$i
done

